Hot News aus dem CAD.de-Newsletter:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  
  Alle Kurven außerhalb einer Skizze auf Layer verschieben

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Alle Kurven außerhalb einer Skizze auf Layer verschieben (99 mal gelesen)
Arkadius
Mitglied
CAD Consultant


Sehen Sie sich das Profil von Arkadius an!   Senden Sie eine Private Message an Arkadius  Schreiben Sie einen Gästebucheintrag für Arkadius

Beiträge: 44
Registriert: 21.09.2006

Windows 7
NX 10.0.3.5

erstellt am: 10. Okt. 2019 14:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

ich verzweifle mal wieder an einer augenscheinlich simplen Anforderung.
Ich möchte gerne alle Kurven auf ein Layer verschieben. Kurven in Skizzen sollen unberührt bleiben.

Mein Ansatz ist:
        For Each curveObj As DisplayableObject In WorkPart.Curves
            Dim curveObjs(0) As DisplayableObject
            curveObjs(0) = curveObj
            curveObjs(0).RedisplayObject()
            WorkPart.Layers.MoveDisplayableObjects(NextFreeLayer(CuFrtLyr, CuLstLyr), curveObjs)
            WriteLW(curveObj.Name & " moved to layer " & curveObj.Layer.ToString)
            i = i + 1
        Next

Ich danke euch für eure Hilfe,
Arkadius

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Moderator
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2396
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5
3D Printer Prusa MK2 S

erstellt am: 11. Okt. 2019 09:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Arkadius 10 Unities + Antwort hilfreich

Hallo Arkadius,

auswendig kann das wahrscheinlich niemand beantworten. Da hilft dann ein Test der klärt, was über <Part>.Curves erfasst wird, im dümmsten Fall natürlich inkl. Sketch-Kurven.
Die Skizzen selbst sind über <part>.Sketches zu finden, daneben helfen ggfs. auch die Cycle-Funktionen.

Je nachdem, welche Kurven gesichert ermittelt werden können, geht's dann in die geliebte Mengenlehre, also alle Elemente von Menge A aus Menge B entfernen ... oder so ähnlich 

Oder für die Faulen: Erst alles auf den Ziellayer schieben und die Sketch-Kurven wieder zurück. Problem dabei: Wo war's vorher ?

Gruß, Michael

------------------
Ein Mensch wird laut, wenn er was will;
wenn er's erst hat, dann wird er still;
Das "Danke" ist, nach alter Sitte,
Weit selt'ner als das "Bitte, Bitte".

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Arkadius
Mitglied
CAD Consultant


Sehen Sie sich das Profil von Arkadius an!   Senden Sie eine Private Message an Arkadius  Schreiben Sie einen Gästebucheintrag für Arkadius

Beiträge: 44
Registriert: 21.09.2006

Windows 7
NX 10.0.3.5

erstellt am: 11. Okt. 2019 11:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ja, es wird alles erfasst, auch die Sketch-Curves. Genau das ist mein Problem. 

Das war auch mein Ansatz. Ich finde nur keine Möglichkeit die Sketch-Curve Menge zu bekommen. Falls da einer eine Möglichkeit kennt, wäre ich sehr dankbar!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wipc3d59
Mitglied
Konstrukteur, Anwenderbetreuer


Sehen Sie sich das Profil von wipc3d59 an!   Senden Sie eine Private Message an wipc3d59  Schreiben Sie einen Gästebucheintrag für wipc3d59

Beiträge: 60
Registriert: 24.06.2008

Unigraphics NX11.0.2.7 MP13
ECTR 4.6 DSC Software AG
Windows 10
HP Workstation z4
Intel Xeon W-2135 3,7GHz
32 GB Ram, Nvidia Quadro P4000

erstellt am: 11. Okt. 2019 11:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Arkadius 10 Unities + Antwort hilfreich

Hallo Arkadius,

ich würde mal nach dem Feature der Kurven fragen...
...wenn Skizze dann...ansonsten...

Mein Ansatz ist:

        For Each curveObj As DisplayableObject In WorkPart.Curves
            Dim curveObjs(0) As DisplayableObject

            Dim an_feat As NXOpen.Tag = Tag.Null
            theUfSession.Modl.AskObjectFeat(curveObjs.Tag, an_feat)

            curveObjs(0) = curveObj
            curveObjs(0).RedisplayObject()
            WorkPart.Layers.MoveDisplayableObjects(NextFreeLayer(CuFrtLyr, CuLstLyr), curveObjs)
            WriteLW(curveObj.Name & " moved to layer " & curveObj.Layer.ToString)
            i = i + 1
        Next

------------------

Gruß Thorsten

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Arkadius
Mitglied
CAD Consultant


Sehen Sie sich das Profil von Arkadius an!   Senden Sie eine Private Message an Arkadius  Schreiben Sie einen Gästebucheintrag für Arkadius

Beiträge: 44
Registriert: 21.09.2006

Windows 7
NX 10.0.3.5

erstellt am: 11. Okt. 2019 13:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Thorsten, du bist mein Retter vor dem Wochenende! 
Jetzt ist der Knoten geplatzt. Vielen Dank!

Damit ist das Thema erledigt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz